

init_wds is being instantiated in both isl_ioctl.c and islpci_eth.c, causing
linkage errors.

drivers/net/wireless/prism54/islpci_mgt.o(.rodata+0x198): In function `islpci_mgmt_rx_fill':
/usr/src/25/drivers/net/wireless/prism54/islpci_mgt.c:154: multiple definition of `init_wds'
drivers/net/wireless/prism54/islpci_eth.o(.rodata+0x1c8):/usr/src/25/include/linux/skbuff.h:815: first defined here

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/wireless/prism54/islpci_mgt.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/net/wireless/prism54/islpci_mgt.h~prism94-build-fix drivers/net/wireless/prism54/islpci_mgt.h
--- 25/drivers/net/wireless/prism54/islpci_mgt.h~prism94-build-fix	2004-06-13 19:27:25.135839440 -0700
+++ 25-akpm/drivers/net/wireless/prism54/islpci_mgt.h	2004-06-13 19:29:45.299531320 -0700
@@ -34,7 +34,7 @@
 #define TRACE(devname)   K_DEBUG(SHOW_TRACING, VERBOSE, "%s:  -> " __FUNCTION__ "()\n", devname)
 
 extern int pc_debug;
-const int init_wds = 0;	/* help compiler optimize away dead code */
+#define init_wds 0	/* help compiler optimize away dead code */
 
 
 /* General driver definitions */
_
